# [THESAURUS SYNONYMS K DATA](https://github.com/FlatEarthTruther/thesaurus-synonyms-k-data)

Data scraped with spiders from [thesaurus.com](http://www.thesaurus.com) on 2018-03
[![NPM version](https://img.shields.io/npm/v/thesaurus-synonyms-k-data.svg)](https://www.npmjs.com/package/thesaurus-synonyms-k-data)
[![Build Status](https://travis-ci.org/FlatEarthTruther/thesaurus-synonyms-k-data.svg?branch=master)](https://travis-ci.org/FlatEarthTruther/thesaurus-synonyms-k-data)

[This package/repo is a dependency of thesaurus-synonyms-data](https://github.com/FlatEarthTruther/thesaurus-synonyms-data)
 
## RELATED PROJECTS

[DICTIONARY DEFINITIONS DATA](https://github.com/FlatEarthTruther/dictionary-definitions-data)
 
#### STATS

    $ wc -l k.json
    2140 k.json
  
    $ du -sh k.js*
     37M	k.json
    3.1M	k.json.zip

## INSTALL [PACKAGE](https://www.npmjs.com/package/thesaurus-synonyms-k-data) 📦

    npm i -S thesaurus-synonyms-k-data
    
## USAGE

Zip files containing the data get uncompressed during postinstall.    

#### LOAD SYNC
```javascript
require('thesaurus-synonyms-k-data').loadSync()
```

    [ { key: 'keeping arm length',
        datetime: '2018-03-26 17:15:36',
        page_number: 1,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20arm%20length/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/1' },
      { key: 'keeping apart',
        datetime: '2018-03-26 17:15:37',
        page_number: 1,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20apart/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/1' },
      { key: 'keeping an eye out',
        datetime: '2018-03-26 17:15:38',
        page_number: 1,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20an%20eye%20out/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/1' },
      { key: 'keeping aloof',
        datetime: '2018-03-26 17:15:41',
        page_number: 1,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20aloof/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/1' },
      { key: 'keeping alive',
        datetime: '2018-03-26 17:15:41',
        page_number: 1,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20alive/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/1' },
      { key: 'keeping aft',
        datetime: '2018-03-26 17:15:42',
        page_number: 1,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20aft/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/1' },
      { key: 'keeping afloat',
        datetime: '2018-03-26 17:15:43',
        page_number: 1,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20afloat/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/1' },
      { key: 'keeping account',
        datetime: '2018-03-26 17:15:43',
        page_number: 1,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20account/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/1' },
      { key: 'keeping abreast of',
        datetime: '2018-03-26 17:15:43',
        page_number: 1,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20abreast%20of/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/1' },
      { key: 'keeping a stiff upper lip',
        datetime: '2018-03-26 17:15:44',
        page_number: 1,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20a%20stiff%20upper%20lip/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/1' },
      { key: 'keeping arms length',
        datetime: '2018-03-26 17:16:12',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20arms%20length/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeping arm&amp',
        datetime: '2018-03-26 17:16:19',
        page_number: 1,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20arm&amp',
        data: {},
        page_url: 'http://www.thesaurus.com/list/k/1' },
      { key: 'keeping hand',
        datetime: '2018-03-26 17:16:19',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20hand/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeping guard',
        datetime: '2018-03-26 17:16:19',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20guard/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeping from falling',
        datetime: '2018-03-26 17:16:21',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20from%20falling/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeping from',
        datetime: '2018-03-26 17:16:22',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20from/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeping forever',
        datetime: '2018-03-26 17:16:23',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20forever/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeping fingers crossed',
        datetime: '2018-03-26 17:16:24',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20fingers%20crossed/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeping feeling inside oneself',
        datetime: '2018-03-26 17:16:24',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20feeling%20inside%20oneself/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeping fasts',
        datetime: '2018-03-26 17:16:24',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20fasts/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeping fast',
        datetime: '2018-03-26 17:16:24',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20fast/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeping faith',
        datetime: '2018-03-26 17:16:24',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20faith/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeping eyes peeled',
        datetime: '2018-03-26 17:16:25',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20eyes%20peeled/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeping one trap shut',
        datetime: '2018-03-26 17:16:25',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20one%20trap%20shut/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeping one toes',
        datetime: '2018-03-26 17:16:26',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20one%20toes/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeping tight rein on',
        datetime: '2018-03-26 17:16:26',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20tight%20rein%20on/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeping the lid on',
        datetime: '2018-03-26 17:16:26',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20the%20lid%20on/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeping the faith',
        datetime: '2018-03-26 17:16:27',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20the%20faith/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeping the ball rolling',
        datetime: '2018-03-26 17:16:28',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20the%20ball%20rolling/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeping tally',
        datetime: '2018-03-26 17:16:28',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20tally/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeping tabs on',
        datetime: '2018-03-26 17:16:28',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20tabs%20on/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps arm length',
        datetime: '2018-03-26 17:16:31',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20arm%20length/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps apart',
        datetime: '2018-03-26 17:16:32',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20apart/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps an eye out',
        datetime: '2018-03-26 17:16:33',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20an%20eye%20out/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps aloof',
        datetime: '2018-03-26 17:16:36',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20aloof/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps alive',
        datetime: '2018-03-26 17:16:36',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20alive/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps aft',
        datetime: '2018-03-26 17:16:37',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20aft/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps eagle eye on',
        datetime: '2018-03-26 17:16:37',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20eagle%20eye%20on/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps driving',
        datetime: '2018-03-26 17:16:37',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20driving/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps down',
        datetime: '2018-03-26 17:16:37',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20down/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps distance',
        datetime: '2018-03-26 17:16:39',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20distance/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps dark',
        datetime: '2018-03-26 17:16:41',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20dark/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps custody',
        datetime: '2018-03-26 17:16:41',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20custody/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps countenance',
        datetime: '2018-03-26 17:16:41',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20countenance/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps count',
        datetime: '2018-03-26 17:16:41',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20count/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps contact',
        datetime: '2018-03-26 17:16:41',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20contact/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps company with',
        datetime: '2018-03-26 17:16:42',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20company%20with/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps on truckin',
        datetime: '2018-03-26 17:16:43',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20on%20truckin/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps on toes',
        datetime: '2018-03-26 17:16:43',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20on%20toes/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps ones shirt on',
        datetime: '2018-03-26 17:16:44',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20ones%20shirt%20on/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps ones nose clean',
        datetime: '2018-03-26 17:16:44',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20ones%20nose%20clean/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps ones mind on',
        datetime: '2018-03-26 17:16:44',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20ones%20mind%20on/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps ones eye on',
        datetime: '2018-03-26 17:16:44',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20ones%20eye%20on/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps ones distance',
        datetime: '2018-03-26 17:16:44',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20ones%20distance/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeping tabs',
        datetime: '2018-03-26 17:16:29',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20tabs/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps one trap shut',
        datetime: '2018-03-26 17:16:45',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20one%20trap%20shut/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps one toes',
        datetime: '2018-03-26 17:16:45',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20one%20toes/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps one shoulder wheel',
        datetime: '2018-03-26 17:16:45',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20one%20shoulder%20wheel/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps one shoulder to wheel',
        datetime: '2018-03-26 17:16:45',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20one%20shoulder%20to%20wheel/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps one shoulder to the wheel',
        datetime: '2018-03-26 17:16:45',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20one%20shoulder%20to%20the%20wheel/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps one shoulder the wheel',
        datetime: '2018-03-26 17:16:45',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20one%20shoulder%20the%20wheel/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps one shirt on',
        datetime: '2018-03-26 17:16:45',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20one%20shirt%20on/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeping one&amp',
        datetime: '2018-03-26 17:16:46',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20one&amp',
        data: {},
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps an eye on',
        datetime: '2018-03-26 17:16:33',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20an%20eye%20on/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps one nose clean',
        datetime: '2018-03-26 17:16:46',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20one%20nose%20clean/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps one mind on',
        datetime: '2018-03-26 17:16:46',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20one%20mind%20on/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps one going',
        datetime: '2018-03-26 17:16:46',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20one%20going/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps one eye on',
        datetime: '2018-03-26 17:16:46',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20one%20eye%20on/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps one distance',
        datetime: '2018-03-26 17:16:47',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20one%20distance/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps company',
        datetime: '2018-03-26 17:16:42',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20company/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps on ones toes',
        datetime: '2018-03-26 17:16:47',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20on%20ones%20toes/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps on one toes',
        datetime: '2018-03-26 17:16:48',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20on%20one%20toes/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps on hand',
        datetime: '2018-03-26 17:16:48',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20on%20hand/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps ones shoulder the wheel',
        datetime: '2018-03-26 17:16:48',
        page_number: 3,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20ones%20shoulder%20the%20wheel/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/3' },
      { key: 'keeps off',
        datetime: '2018-03-26 17:16:50',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20off/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps nothing back',
        datetime: '2018-03-26 17:16:52',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20nothing%20back/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps nose clean',
        datetime: '2018-03-26 17:16:52',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20nose%20clean/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps mind on',
        datetime: '2018-03-26 17:16:52',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20mind%20on/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps mind',
        datetime: '2018-03-26 17:16:52',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20mind/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps line',
        datetime: '2018-03-26 17:16:52',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20line/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keeps together',
        datetime: '2018-03-26 17:16:53',
        page_number: 3,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20together/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/3' },
      { key: 'keeps toes',
        datetime: '2018-03-26 17:16:53',
        page_number: 3,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20toes/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/3' },
      { key: 'keeps to oneself',
        datetime: '2018-03-26 17:16:53',
        page_number: 3,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20to%20oneself/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/3' },
      { key: 'keeps time with',
        datetime: '2018-03-26 17:16:54',
        page_number: 3,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20time%20with/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/3' },
      { key: 'keeps tight rein on',
        datetime: '2018-03-26 17:16:54',
        page_number: 3,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20tight%20rein%20on/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/3' },
      { key: 'keeps the lid on',
        datetime: '2018-03-26 17:16:54',
        page_number: 3,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20the%20lid%20on/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/3' },
      { key: 'keeps the faith',
        datetime: '2018-03-26 17:16:54',
        page_number: 3,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20the%20faith/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/3' },
      { key: 'keeps one&amp',
        datetime: '2018-03-26 17:16:54',
        page_number: 2,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20one&amp',
        data: {},
        page_url: 'http://www.thesaurus.com/list/k/2' },
      { key: 'keg',
        datetime: '2018-03-26 17:16:55',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/K00/K0055800.ogg',
           'http://static.sfdict.com/audio/K00/K0055800.mp3' ],
        page_number: 3,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keg/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/3' },
      { key: 'kefs',
        datetime: '2018-03-26 17:16:55',
        page_number: 3,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/kefs/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/3' },
      { key: 'kef',
        datetime: '2018-03-26 17:16:55',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/K00/K0055100.ogg',
           'http://static.sfdict.com/audio/K00/K0055100.mp3' ],
        page_number: 3,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/kef/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/3' },
      { key: 'keeves',
        datetime: '2018-03-26 17:16:55',
        page_number: 3,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeves/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/3' },
      { key: 'keeve',
        datetime: '2018-03-26 17:16:55',
        page_number: 3,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeve/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/3' },
      { key: 'keesters',
        datetime: '2018-03-26 17:16:55',
        page_number: 3,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keesters/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/3' },
      { key: 'keester',
        datetime: '2018-03-26 17:16:55',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/K00/K0054800.ogg',
           'http://static.sfdict.com/audio/K00/K0054800.mp3' ],
        page_number: 3,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keester/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/3' },
      { key: 'keeps your shirt on',
        datetime: '2018-03-26 17:16:55',
        page_number: 3,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20your%20shirt%20on/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/3' },
      { key: 'keeps within means',
        datetime: '2018-03-26 17:16:55',
        page_number: 3,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20within%20means/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/3' },
      { key: 'keeps within limits',
        datetime: '2018-03-26 17:16:55',
        page_number: 3,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20within%20limits/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/3' },
      { key: 'keeps within bounds',
        datetime: '2018-03-26 17:16:56',
        page_number: 3,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeps%20within%20bounds/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/3' },
      { key: 'kept in contact',
        datetime: '2018-03-26 17:16:56',
        page_number: 3,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/kept%20in%20contact/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/3' },
      ... 2040 more items ]
    
#### LOAD ASYNC
```javascript
require('thesaurus-synonyms-k-data').load(function(err, data) {
    if (err) throw err;
    console.log(data[1].key)
});
```

    'keeping apart'


#### FIND SYNC EXAMPLE
```javascript
var _ = require('lodash');
var data = require('thesaurus-synonyms-a-data').loadSync();

function findSync(word) {
  return _.find(data, function(o) {
    return o.key === word.toLowerCase();
  } );
}
findSync('keeping apart');
```

    { key: 'keeping apart',
        datetime: '2018-03-26 17:15:37',
        page_number: 1,
        letter: 'k',
        word_url: 'http://www.thesaurus.com/browse/keeping%20apart/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/k/1' }

#### FIND ASYNC EXAMPLE
```javascript
var _ = require('lodash');
var load = require('./index').load;

function find(word, callback) {
  load(function(err, data) {
    if (err) callback(err);
    var result = _.find(data, function(o) {
      return o.key === word.toLowerCase();
    } );
    callback(null, result);
  });
}
find('keeping apart', function(err, data) {
    if (err) throw err;
    console.log(data.data);
});   
```

    { synonyms:
       [ { txt: 'verb', words: [Array], ttl: 'protect; close off' },
         { txt: 'verb', words: [Array], ttl: 'cut off, set apart' },
         { txt: 'verb', words: [Array], ttl: 'isolate' },
         { txt: 'verb', words: [Array], ttl: 'pull back, go away' },
         { txt: 'verb',
           words: [Array],
           ttl: 'remove something or someone from situation' } ],
      citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
      antonyms:
       [ { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] },
         { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] },
         { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] },
         { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] },
         { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] } ],
      related:
       [ { url: 'http://www.thesaurus.com/browse/insulate',
           text: 'insulate',
           words: [Array],
           def: 'verb. protect; close off' },
         { url: 'http://www.thesaurus.com/browse/isolate',
           text: 'isolate',
           words: [Array],
           def: 'verb. cut off, set apart' },
         { url: 'http://www.thesaurus.com/browse/quarantine',
           text: 'quarantine',
           words: [Array],
           def: 'verb. isolate' },
         { url: 'http://www.thesaurus.com/browse/retreat',
           text: 'retreat',
           words: [Array],
           def: 'verb. pull back, go away' },
         { url: 'http://www.thesaurus.com/browse/withdraw',
           text: 'withdraw',
           words: [Array],
           def: 'verb. remove something or someone from situation' } ] }

#### JSONLINES FORMAT

Look at [test.js](test.js) to find out more about the object structure.

    "letter" - str - word begins with this letter
    "word_url" or "url" - str - word thesaurus.com url
    "datetime" - str - datetime when data was downloaded
    "page_number" - str - the pagenumber the word was found on
    "page_url" - str - page url to word on thesaurus.com
    "key" - str - word key
    "data" - obj
        "synonyms" - arr
            "txt" - str
            "words" - arr
                "category" - int
                "url" - str
                "text" - str
                "length" - int
                "complexity" - int
                "id" - int
            "ttl" - str
        "citation" - str
        "related" - arr
            "url" - str
            "text" - str
            "words" - arr
                "url" - str
                "word" - str
            "def" - str

#### SAMPLE WORD - keeps close to

```json
{
  "key": "keeps close to",
  "datetime": "2018-03-26 17:29:30",
  "page_number": 2,
  "letter": "k",
  "word_url": "http://www.thesaurus.com/browse/keeps%20close%20to/1",
  "data": {
    "synonyms": [
      {
        "txt": "verb",
        "words": [
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/address",
            "text": "address",
            "length": 1,
            "complexity": 1,
            "id": 1
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/bend",
            "text": "bend",
            "length": 1,
            "complexity": 1,
            "id": 2
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/give",
            "text": "give",
            "length": 1,
            "complexity": 1,
            "id": 3
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/knuckle%20down",
            "text": "knuckle down",
            "length": 1,
            "complexity": 3,
            "id": 4
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/pitch%20in",
            "text": "pitch in",
            "length": 1,
            "complexity": 3,
            "id": 5
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/throw",
            "text": "throw",
            "length": 1,
            "complexity": 1,
            "id": 6
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/turn",
            "text": "turn",
            "length": 1,
            "complexity": 1,
            "id": 7
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/apply%20oneself",
            "text": "apply oneself",
            "length": 1,
            "complexity": 3,
            "id": 8
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/attend%20to",
            "text": "attend to",
            "length": 1,
            "complexity": 3,
            "id": 9
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/concentrate%20on",
            "text": "concentrate on",
            "length": 2,
            "complexity": 3,
            "id": 10
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/dedicate%20oneself%20to",
            "text": "dedicate oneself to",
            "length": 2,
            "complexity": 3,
            "id": 11
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/devote%20oneself%20to",
            "text": "devote oneself to",
            "length": 2,
            "complexity": 3,
            "id": 12
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/exert%20oneself",
            "text": "exert oneself",
            "length": 1,
            "complexity": 3,
            "id": 13
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/get%20serious",
            "text": "get serious",
            "length": 1,
            "complexity": 3,
            "id": 14
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/give%20oneself%20over%20to",
            "text": "give oneself over to",
            "length": 2,
            "complexity": 3,
            "id": 15
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/keep%20close%20to",
            "text": "keep close to",
            "length": 1,
            "complexity": 3,
            "id": 16
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/launch%20into",
            "text": "launch into",
            "length": 1,
            "complexity": 3,
            "id": 17
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/occupy%20oneself%20with",
            "text": "occupy oneself with",
            "length": 2,
            "complexity": 3,
            "id": 18
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/plunge%20into",
            "text": "plunge into",
            "length": 1,
            "complexity": 3,
            "id": 19
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/set%20to",
            "text": "set to",
            "length": 1,
            "complexity": 3,
            "id": 20
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/swing%20into%20action",
            "text": "swing into action",
            "length": 2,
            "complexity": 3,
            "id": 21
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/take%20the%20bull%20by%20the%20horns",
            "text": "take the bull by the horns",
            "length": 3,
            "complexity": 3,
            "id": 22
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/keep%20one%27s%20mind%20on",
            "text": "keep one's mind on",
            "length": 2,
            "complexity": 3,
            "id": 23
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/put%20one%27s%20hand%20to%20the%20plow",
            "text": "put one's hand to the plow",
            "length": 3,
            "complexity": 3,
            "id": 24
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/put%20one%27s%20nose%20to%20the%20grindstone",
            "text": "put one's nose to the grindstone",
            "length": 3,
            "complexity": 3,
            "id": 25
          }
        ],
        "ttl": "work very hard"
      }
    ],
    "citation": "Roget's 21st Century Thesaurus, Third Edition Copyright \\u00a9 2013 by the Philip Lief Group.",
    "antonyms": [
      {
        "citation": "Roget's 21st Century Thesaurus, Third Edition Copyright \\u00a9 2013 by the Philip Lief Group.",
        "words": [
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/ignore",
            "text": "ignore",
            "length": 2,
            "complexity": 1,
            "id": 25
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/be%20lazy",
            "text": "be lazy",
            "length": 3,
            "complexity": 3,
            "id": 26
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/relax",
            "text": "relax",
            "length": 1,
            "complexity": 1,
            "id": 27
          }
        ]
      }
    ],
    "related": [
      {
        "url": "http://www.thesaurus.com/browse/buckle%20down",
        "text": "buckle down",
        "words": [
          {
            "url": "http://www.thesaurus.com/browse/address",
            "word": "address"
          },
          {
            "url": "http://www.thesaurus.com/browse/apply%20oneself",
            "word": "apply oneself"
          },
          {
            "url": "http://www.thesaurus.com/browse/attend%20to",
            "word": "attend to"
          },
          {
            "url": "http://www.thesaurus.com/browse/bend",
            "word": "bend"
          },
          {
            "url": "http://www.thesaurus.com/browse/concentrate%20on",
            "word": "concentrate on"
          },
          {
            "url": "http://www.thesaurus.com/browse/dedicate%20oneself%20to",
            "word": "dedicate oneself to"
          },
          {
            "url": "http://www.thesaurus.com/browse/devote%20oneself%20to",
            "word": "devote oneself to"
          },
          {
            "url": "http://www.thesaurus.com/browse/exert%20oneself",
            "word": "exert oneself"
          },
          {
            "url": "http://www.thesaurus.com/browse/get%20serious",
            "word": "get serious"
          },
          {
            "url": "http://www.thesaurus.com/browse/give",
            "word": "give"
          },
          {
            "url": "http://www.thesaurus.com/browse/give%20oneself%20over%20to",
            "word": "give oneself over to"
          },
          {
            "url": "http://www.thesaurus.com/browse/keep%20close%20to",
            "word": "keep close to"
          },
          {
            "url": "http://www.thesaurus.com/browse/keep%20one%27s%20mind%20on",
            "word": "keep one's mind on"
          },
          {
            "url": "http://www.thesaurus.com/browse/knuckle%20down",
            "word": "knuckle down"
          },
          {
            "url": "http://www.thesaurus.com/browse/launch%20into",
            "word": "launch into"
          },
          {
            "url": "http://www.thesaurus.com/browse/occupy%20oneself%20with",
            "word": "occupy oneself with"
          },
          {
            "url": "http://www.thesaurus.com/browse/pitch%20in",
            "word": "pitch in"
          },
          {
            "url": "http://www.thesaurus.com/browse/plunge%20into",
            "word": "plunge into"
          },
          {
            "url": "http://www.thesaurus.com/browse/put%20one%27s%20hand%20to%20the%20plow",
            "word": "put one's hand to the plow"
          },
          {
            "url": "http://www.thesaurus.com/browse/put%20one%27s%20nose%20to%20the%20grindstone",
            "word": "put one's nose to the grindstone"
          },
          {
            "url": "http://www.thesaurus.com/browse/set%20to",
            "word": "set to"
          },
          {
            "url": "http://www.thesaurus.com/browse/swing%20into%20action",
            "word": "swing into action"
          },
          {
            "url": "http://www.thesaurus.com/browse/take%20the%20bull%20by%20the%20horns",
            "word": "take the bull by the horns"
          },
          {
            "url": "http://www.thesaurus.com/browse/throw",
            "word": "throw"
          },
          {
            "url": "http://www.thesaurus.com/browse/turn",
            "word": "turn"
          }
        ],
        "def": "verb. work very hard"
      }
    ]
  },
  "page_url": "http://www.thesaurus.com/list/k/2"
}
```

## TESTS

Accepted param `--verbose` or `-v` to get detailed output of data being tested.

    npm test -- --verbose
    # or
    npm run test
    # or
    node --max_old_space_size=4096 ./test.js -v
    # or
    ./test.js

Should say: `All tests passed!`

Please note some of the data files are so large that they had to be left out of the tests, in fact some of the data files will give you `FATAL ERROR` when you try to load them, in that case give node more memory when you run the script, `node --max_old_space_size=4096  test.js`, increase size as necessary.

## LICENSE

This is free and unencumbered software released into the public domain.

Anyone is free to copy, modify, publish, use, compile, sell, or
distribute this software, either in source code form or as a compiled
binary, for any purpose, commercial or non-commercial, and by any
means.

In jurisdictions that recognize copyright laws, the author or authors
of this software dedicate any and all copyright interest in the
software to the public domain. We make this dedication for the benefit
of the public at large and to the detriment of our heirs and
successors. We intend this dedication to be an overt act of
relinquishment in perpetuity of all present and future rights to this
software under copyright law.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR
OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

For more information, please refer to <http://unlicense.org>

    
